#ifndef _qed_av_h_
#define _qed_av_h_

/*
 * Kommunikation mit dem AV-Server.
*/
#include "vaproto.h"


EXTERN WORD	av_shell_id,		/* ID des Desktops */
				av_shell_status;	/* Welche VA_* kann der Desktop */


EXTERN BOOLEAN	send_avkey			(WORD ks, WORD kr);
/*
 * Schickt Tastendruck an AV-Server.
*/

EXTERN VOID		send_avdrag			(WORD wh, MKINFO *mk, WORD data_type);
/*
 * Schickt AV_DRAG_TO_WIN.
*/

EXTERN VOID		send_avwinopen		(WORD handle);
EXTERN VOID		send_avwinclose	(WORD handle);
/*
 * Fenster auf bzw. zu.
*/

EXTERN BOOLEAN	call_help			(CONST UBYTE *str);
/*
 * Schickt ein AC_HELP an das angemeldete Hilfe-ACC.
*/

EXTERN BOOLEAN	call_hyp				(CONST UBYTE *data);
/*
 * Schickt data an ST-Guide.
*/

EXTERN VOID 	send_vastart		(WORD id, CONST UBYTE *data);
/*
 * Schickt VA_START an id
*/

EXTERN VOID		hndl_av				(WORD msg[]);
/*
 * Verabeitet Messages vom Server.
*/

EXTERN VOID 	init_av				(VOID);
EXTERN VOID 	term_av				(VOID);

#endif
